class_name PlayerHUD extends Control

@onready var interact_hud: InteractHUD = %InteractHUD

@onready var alert_player: AnimationPlayer = %AlertPlayer


func _ready() -> void:
	Game.manager.alert_raised.connect(_on_raise_alert)


func select_interactive(prop: Interactive) -> void:
	interact_hud.set_prop(prop)


func _on_raise_alert(_new_value: int) -> void:
	alert_player.play("grunk_alert")


func play_tank_full_alert() -> void:
	alert_player.play("tank_full_alert")
